<style>
.post-header {
    border-radius: 6px;
}

.post-header .category-menu .all-users a span {
    vertical-align: middle;
}

.post-header .category-menu .all-users a span.check {
    line-height: 16px;
    color: #888;
    text-align: center;
    border: 1px solid #eee;
}
</style>
<template>
    <div class="post-header">
        <div class="support-info">
            <ul class="support-total-info">
                <li><i class="far fa-file-alt"></i> {{ $t("labels.reports") }}</li>
            </ul>
        </div>

        <div class="support-category-menus">
            <ul class="category-menu">
                <li>
                    <FilterDropdown
                        :title="'labels.sector'"
                        :subtitle="'actions.filter_by_sector'"
                        :options="displayedFilterOptions.sectors"
                        :criteria="'sectors'"
                        @selected="optionSelected"
                    />
                </li>
                <li>
                    <FilterDropdown
                        :title="'labels.state'"
                        :subtitle="'actions.filter_by_state'"
                        :options="displayedFilterOptions.states"
                        :criteria="'states'"
                        @selected="optionSelected"
                    />
                </li>
                <li>
                    <FilterDropdown
                        :title="'labels.language'"
                        :subtitle="'actions.filter_by_language'"
                        :options="displayedFilterOptions.languages"
                        :criteria="'languages'"
                        @selected="optionSelected"
                    />
                </li>
                <li>
                    <FilterDropdown
                        :title="'labels.type'"
                        :subtitle="'actions.filter_by_type'"
                        :options="displayedFilterOptions.categories"
                        :criteria="'categories'"
                        @selected="optionSelected"
                    />
                </li>
                <li>
                    <FilterDropdown
                        :title="'labels.order'"
                        :subtitle="'actions.order_by'"
                        :options="orderOptions"
                        :criteria="'order'"
                        @selected="order"
                    />
                </li>
                <li>
                    <button v-on:click.prevent="resetSearch()" class="btn btn-secondary btn-menu" type="button" id="btnResetFilters">
                        <i class="fas fa-eraser"></i>
                        {{ $t("actions.reset_filters") }}
                    </button>
                </li>
            </ul>
        </div>
        <!-- /.support-category-menus -->
    </div>
</template>
<script type="module">
import FilterDropdown from './FilterDropdown.vue';
export default{
	name: 'SearchFilters',
	props: ['filterOptions', 'orderOptions'],
	components: {
        FilterDropdown,
	},
	data() {
		return {
			displayedFilterOptions: {
                languages: [],
                categories: [],
                sectors: [],
                states: [],
            },
		};
	},
	mounted() {
		this.displayedFilterOptions = this.filterOptions;
	},
	methods: {
		optionSelected(criteria, option) {
            if (criteria === 'order') {
                this.order(option.criteria, option.way);
            }
            else {
                let item = this.displayedFilterOptions[criteria].find(item => item.id === option.id);
                item.checked = !item.checked;

                this.$emit('filter', this.displayedFilterOptions);
            }
        },
        order(criteria, option) {
            this.$emit('order', option.criteria, option.way);
        },
        resetSearch() {
            this.$emit('resetSearch');
        }
	},
	computed: {
		//datos computados
	},
	watch: {

	}
};
</script>